#   FILE: config.mk -- Makefile configuration file for fctk.
# AUTHOR: W. Michael Petullo <new@flyn.org>
#   DATE: 01 November 2000 
#
# Copyright (C) 1999 W. Michael Petullo <new@flyn.org>
# All rights reserved.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

# ============================= Definitions =================================== 
WEB_DIR = $(HOME)/public_html/www.flyn.org

# ============================= .xml -> .html ================================= 
%.xml %.html:
	xmlto html-nochunks $<

# ============================= .xml -> .txt ================================== 
%.xml %.txt:
	xmlto txt $<

# ============================= .xml -> .c ==================================== 
%.xml %.c:
	xml_to_c.sh $< $@

# ============================= .xml -> manpage ===============================
%.xml %.1:
	xmlto man $<

# ============================= BUILD_RPM ===================================== 
BUILD_RPM = cp $(distdir).tar.gz /home/mike/development/rpms/SOURCES; \
unset FLYN; \
rpm -ba dry/$(PACKAGE).spec

# ============================= CHECK ========================================= 
CHECK = rpmlint $(HOME)/development/rpms/RPMS/i386/$(PACKAGE)-$(VERSION)-*.i386.rpm; \
find . -name '*.[ch]' -exec lclint {} \;

# ============================= PUBLISH ======================================= 
PUBLISH = mkdir -p $(WEB_DIR)/projects/$(PACKAGE)/xml; \
if [ -f $(WEB_DIR)/projects/$(PACKAGE)/$(PACKAGE)-$(VERSION).tar.gz ]; then \
	echo $(WEB_DIR)/projects/$(PACKAGE)/$(PACKAGE)-$(VERSION).tar.gz exists; \
	false; \
fi; \
install -m 644 $(PACKAGE)-$(VERSION).tar.gz $(WEB_DIR)/projects/$(PACKAGE)/$(PACKAGE)-$(VERSION).tar.gz; \
if [ -f $(WEB_DIR)/projects/$(PACKAGE)/$(PACKAGE)-$(VERSION)-1.i386.rpm ]; then \
	echo $(WEB_DIR)/projects/$(PACKAGE)/$(PACKAGE)-$(VERSION)-1.i386.rpm exists; \
	false; \
fi; \
install -m 644 $(HOME)/development/rpms/RPMS/i386/$(PACKAGE)-$(VERSION)-*.i386.rpm \
$(WEB_DIR)/projects/$(PACKAGE)/$(PACKAGE)-$(VERSION)-1.i386.rpm; \
install -m 644 ChangeLog $(WEB_DIR)/ChangeLog/ChangeLog.$(PACKAGE); \
if [ ! -d $(WEB_DIR)/projects/$(PACKAGE)/xml ]; then mkdir -p xml; fi; \
( \
	cd $(WEB_DIR)/projects/$(PACKAGE); \
	ln -sf $(PACKAGE)-$(VERSION).tar.gz $(PACKAGE).tar.gz; \
	ln -sf $(PACKAGE)-$(VERSION)-1.i386.rpm $(PACKAGE).i386.rpm; \
); \
install -m 644 dry/overview_$(PACKAGE).xml $(WEB_DIR)/projects/$(PACKAGE)/xml/overview.xml; \
for one_liner in dry/one_liner_*.xml; do \
	if [ x$$one_liner = xdry/one_liner_$(PACKAGE).xml ]; then continue; fi; \
	if [ x$$one_liner = xdry/one_liner_wrapper.xml ]; then continue; fi; \
	install -m 644 $$one_liner $(WEB_DIR)/projects/$(PACKAGE)/xml/; \
done; \
echo $(VERSION) > $(WEB_DIR)/projects/$(PACKAGE)/xml/current_version.xml; \
( cd $(WEB_DIR); make install )
